find_package(PkgConfig)
pkg_check_modules(PC_JSON-EDITOR QUIET json-editor)

find_path(JSON-EDITOR_INCLUDE_DIR json-editor.h
	HINTS ${PC_JSON-EDITOR_INCLUDEDIR} ${PC_JSON-EDITOR_INCLUDE_DIRS} PATH_SUFFIXES json-editor)

find_library(JSON-EDITOR_LIBRARY NAMES json-editor libjson-editor
	HINTS ${PC_JSON-EDITOR_LIBDIR} ${PC_JSON-EDITOR_LIBRARY_DIRS})

set(JSON-EDITOR_LIBRARIES ${JSON-EDITOR_LIBRARY})
set(JSON-EDITOR_INCLUDE_DIRS ${JSON-EDITOR_INCLUDE_DIR})

include(FindPackageHandleStandardArgs)

find_package_handle_standard_args(JSON-EDITOR DEFAULT_MSG JSON-EDITOR_LIBRARY JSON-EDITOR_INCLUDE_DIR)

mark_as_advanced(JSON-EDITOR_INCLUDE_DIR JSON-EDITOR_LIBRARY)

if (JSON-EDITOR_INCLUDE_DIRS AND JSON-EDITOR_LIBRARY)
  SET(JSON-EDITOR_FOUND TRUE)
endif (JSON-EDITOR_INCLUDE_DIRS AND JSON-EDITOR_LIBRARY)

if (JSON-EDITOR_FOUND)
	message(STATUS "Found libjson-c: ${JSON-EDITOR_LIBRARY}")
else (JSON-EDITOR_FOUND)
	if (JSON-EDITOR_FOUND REQUIRED)
		if (NOT JSON-EDITOR_INCLUDE_DIRS)
			message(FATAL_ERROR "Could not find json-editor.h header file!")
		endif (NOT JSON--editorC_INCLUDE_DIRS)

		if (NOT JSON--editorC_LIBRARY)
			message(FATAL_ERROR "Could not find libjson-editor.so library!")
		endif (NOT JSON-EDITOR_LIBRARY)
	endif (JSON-EDITOR_FOUND REQUIRED)
endif (JSON-EDITOR_FOUND)
